# 智慧教室管理系统

## 项目概述

智慧教室管理系统是一款基于HarmonyOS/ArkTS开发的应用，旨在提供智能化的教室管理解决方案。系统包含多个功能模块，用于管理教室状态、课程信息和用户权限等。

## 功能特点

- **用户管理**: 支持教师和学生两种用户类型，提供差异化的功能体验
- **教室监控**: 实时监控教室温度、湿度、人数等数据
- **课程数据**: 展示课程信息、教师信息和学生出勤情况
- **个人设置**: 用户可以修改个人信息和系统偏好设置

## 技术架构

- **前端**: HarmonyOS/ArkTS
- **后端**: MySQL数据库
- **通信**: HTTP API

## 系统要求

- HarmonyOS设备
- 网络连接
- 支持HarmonyOS 3.0及以上版本

## 数据库配置

系统使用MySQL数据库存储用户信息和系统数据。数据库配置如下:

- **数据库地址**: 139.155.155.67:25342
- **数据库名**: hongm
- **用户名**: hongm
- **密码**: JsKJeG7CX2WnyArt

### 数据库初始化

导入`database_setup.sql`文件以创建必要的表和初始数据。主要的数据表包括:

- **UserText**: 存储用户个人信息
- **UserPassword**: 存储用户登录信息

## 使用指南

### 登录系统

1. 在登录页面输入您的账号和密码（默认密码: 1）
2. 系统会根据账号自动识别用户类型:
   - 账号包含"2"的识别为学生
   - 账号包含"0"的识别为教师
3. 登录成功后将显示过渡页面，然后进入系统主页

### 系统导航

系统包含三个主要页面:

- **首页**: 显示教室监控和综合上课数据
- **上课**: 提供课程相关功能
- **设置**: 管理个人信息和系统设置

### 个人信息设置

在设置页面，用户可以查看和修改个人信息:

- **头像**: 显示用户头像
- **账号**: 显示当前登录账号（不可修改）
- **昵称**: 显示用户昵称（不可修改）
- **邮箱**: 可修改，需符合邮箱格式
- **电话**: 显示联系电话（不可修改）

## 开发信息

- **开发团队**: 922213102班鸿蒙第一组
- **版本**: 1.0.0

## 备注

- 用户密码默认为"1"
- 系统现有示例用户:
  - 学生: 账号"2"，昵称"张三"
  - 学生: 账号"9222"，昵称"李华"
  - 教师: 账号"0"，昵称"教师demo" 